update_packages: Update packages that are missing or out-of-date.

Description Usage Arguments See Also Examples

View source: R/deps.R

Description

Works similarly to install.packages but doesn't install packages that are already installed, and also upgrades out dated dependencies.

Usage

1
2
update_packages(packages, dependencies = NA,
  repos = getOption("repos"), type = getOption("pkgType"))

Arguments

packages

Character vector of packages to update.

dependencies

Which dependencies do you want to check? Can be a character vector (selecting from "Depends", "Imports", "LinkingTo", "Suggests", or "Enhances"), or a logical vector.

TRUE is shorthand for "Depends", "Imports", "LinkingTo" and "Suggests". NA is shorthand for "Depends", "Imports" and "LinkingTo" and is the default. FALSE is shorthand for no dependencies (i.e. just check this package, not its dependencies).

repos

A character vector giving repositories to use.

type

Type of package to update.

See Also

package_deps to see which packages are out of date/ missing.

Examples

1
2
3
4
5
## Not run: 
update_packages("ggplot2")
update_packages(c("plyr", "ggplot2"))

## End(Not run)

MangoTheCat/install documentation built on Aug. 15, 2018, 11:03 a.m.